<?php
require_once(DIR_FS_ADMIN.DIR_WS_CLASSES.'__default_single__.php');
/**
 * __default__ class 
 *
 */
class __default__ extends databasetable
{
	/**
	 * initiates the __default__ class
	 *
	 */
	function __default__(){
		$this->set_tablename(TABLE___defaultU__);
		$this->set_index('__default___id');
		/*
		$this->related_tables = array(
			0=>array('table'=>TABLE_CUSTOMERS_TO_COMPANIES,'key'=>$this->get_index() )
		);
		*/
	}
	
	/**
	 * return a __default_single__ object
	 *
	 * @param integer $id
	 * @return object
	 */
	function get___default_single__($id){
		$values = $this->get_row_by_index($id);
		$__default_single___instance = new __default_single__( (object) current($values) );
		return $__default_single___instance;
	}
}
